> ## Documentation Index
> Fetch the complete documentation index at: https://developers.paychoice.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a bank account

Retrieves stored bank account details by token. Fields with no value are omitted. A removed token returns `410 Gone`.

```json 200 theme={null}
{
  "bank": {
    "bank_token": "9acf4194-3651-4414-8415-6b8eb74ece6d",
    "name": "John Citizen",
    "bsb": "123123",
    "number": "XXXXX3123",
    "merchantguid": "315564b9-b863-4016-8c53-02c9d8cc80b7",
    "link": { "href": "/api/v5/bank_token/9acf4194-3651-4414-8415-6b8eb74ece6d", "rel": "self" }
  },
  "object_type": "bank",
  "from_item": 0,
  "to_item": 0,
  "total_count": 0
}
```


## OpenAPI

````yaml GET /api/v5/Bank_Token/{bankToken}
openapi: 3.0.1
info:
  title: Paychoice
  version: v5
servers: []
security:
  - basic: []
paths:
  /api/v5/Bank_Token/{bankToken}:
    get:
      tags:
        - BankToken
      parameters:
        - name: bankToken
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    basic:
      type: http
      description: Basic Authorization header using the Bearer scheme.
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.